
resource "nomad_job" "frigate" {
  jobspec = file("frigate.nomad.hcl")
}

resource "nomad_variable" "frigate" {
  path = "nomad/jobs/frigate"
  items = {
    rtsp_password = data.sops_file.secrets.data["frigate.rtsp_password"]
  }
}

module "appdata_frigate" {
  source = "./modules/appdata"
  name   = "frigate"
}

module "unraid_smb_frigate_media" {
  source = "./modules/unraid_smb"
  name   = "frigate"
  share  = "media"
  subDir = "frigate"
}
